Message: Re: Geant4 Packaging library Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Geant4 Packaging library 

Forum: Installation and Configuration
Re: Question Geant4 Packaging library (Elias Roussos)
Date: 23 Nov, 2010
From: Gunter Folger <Gunter Folger>

Hello Elias,

In current Geant4 versions the physics_lists libraries are integral part 
of Geant4, and are build by the standard build. We would not recommend 
to use the rather old Geant4.7, last released in October 2005.

Gunter

Elias Roussos wrote:
> *** Discussion title: Installation and Configuration
>
> Hi all,
>
> I am new with GEANT4. I installed it because I want to use it for
> several applications, including also with the PLANETOCOSMICS software.
>
> I followed the installation steps from the CERN website and installed in
> both a Suse Linux 11.1 computer and in a Windows 7 system with Cygwin. I
> tested some examples, all worked well. I also did not get any error
> messages during installation. When I wanted to proceed with the
> installation of PLANETOCOSMICS, I read that:
>
> "The PLANETOCOSMICS code makes use of the Geant4 Packaging library. This
> library is not compiled during the standard installation of Geant4. For
> the Geant4.7.x versions the Packaging library is compiled by typing make
> from the directory G4INSTALL/physics_lists/hadronic/Packaging where
> G4INSTALL defines the directory where Geant4 is installed. For the
> Geant4.6.x versions it is compiled by typing make from the
> G4INSTALL/hadronic_lists/lists/Packaging directory"
>
> Still, I cant find the "G4INSTALL/physics_lists/hadronic/Packaging"
> directory, although I did find a directory called
> "G4INSTALL/source/physics_lists".
>
> Anyone knows what is the difference here (if there are changes since
> GEANT 4.7.x?) and what should I do in this case? The version I installed
> is 4.9.3
>
> Thanks a lot!
>
> -------------------------------------------------------------
> Visit this GEANT4 at hypernews.slac.stanford.edu message (to reply or unsubscribe) at: 
> http://hypernews.slac.stanford.edu/HyperNews/geant4/get/installconfig/1328.html 
>   

-- 

Gunter Folger                        e-mail: gunter.folger@cern.ch
CERN PH/SFT                           phone:  (41)-22-76 79 778

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4 Packaging library   (Elias Roussos - 30 Nov, 2010)
(_ None: Re: Geant4 Packaging library   (Nicholas Collin Paul de Gloucester - 01 Dec, 2010)
 Add Message Add Message
to: "Re: Geant4 Packaging library"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]